

int MAGIC = 20073107;

double Lots = 0.1;
int StopLoss = 30;
int TakeProfit = 50;
extern double gd_104 = 0.16;
extern double gd_112 = 0.26;
extern double gd_105 = 0.47;
extern double gd_113 = 0.15;
int gi_120 = 28800;
int g_slippage_124 = 1;
string _Parameters_LotsOptimized = "==========Parameters Lots Optimized";
double MaximumRisk = 0.3;
int MaxLots = 50;
bool LotsOptimized = TRUE;
double DecreaseFactor = 1.0;
bool gi_160 = TRUE;
bool gi_164 = FALSE;
bool gi_168 = FALSE;
bool gi_172 = TRUE;
int gi_176 = 0;
int gi_180 = 1;
string _Parameters_EAs_Management = "========== Parameters of EAs Management ==========";
bool Use_EAs_Management = TRUE;
int Quantity_EAs = 1;

int init() {
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   double l_stoploss_0;
   double l_takeprofit_8;
   double l_stoploss_16;
   double l_takeprofit_24;

int OrderCnt=0;
for (int loop=0;loop<OrdersTotal();loop++) {
   OrderSelect(loop,SELECT_BY_POS,MODE_TRADES);
    if (OrderMagicNumber()==MAGIC) OrderCnt++;
}      
      
         if (OrderCnt<5) {


      //double Margin_level = ((AccountEquity()/AccountMargin())*100);
         //if (Margin_level>500) {//if (!ExistPosition()) {
            l_stoploss_0 = 0;
            l_takeprofit_8 = 0;
            l_stoploss_0 = 0;
            if (StopLoss > 0) l_stoploss_0 = Ask - StopLoss * Point;
            l_takeprofit_8 = 0;
            if (TakeProfit > 0) l_takeprofit_8 = Ask + TakeProfit * Point;
            if (iOpen(Symbol(), PERIOD_M30, 0) - iOpen(Symbol(), PERIOD_M5, 0) >= gd_104 && Bid <= iOpen(Symbol(), PERIOD_M30, 0) - gd_112) {
               OrderSend(Symbol(), OP_BUY, LotsOptimized(), Ask, g_slippage_124, l_stoploss_0, l_takeprofit_8, "edit BIG TRADES", MAGIC, 0, Blue);

            }
            l_stoploss_16 = 0;
            l_takeprofit_24 = 0;
            l_stoploss_16 = 0;
            if (StopLoss > 0) l_stoploss_16 = Bid + StopLoss * Point;
            l_takeprofit_24 = 0;
            if (TakeProfit > 0) l_takeprofit_24 = Bid - TakeProfit * Point;
            if (iOpen(Symbol(), PERIOD_M1, 0) - iOpen(Symbol(), PERIOD_D1, 4) >= gd_105 && Ask >= iOpen(Symbol(), PERIOD_H4, 0) + gd_113) {
               //OrderSend(Symbol(), OP_SELL, LotsOptimized(), Bid, g_slippage_124, l_stoploss_16, l_takeprofit_24, "edit BIG TRADES", MAGIC, 0, Red);

            }
         }
         return (0);
      }
   //}
//}

bool ExistPosition() {
   bool li_0 = FALSE;
   for (int l_pos_4 = 0; l_pos_4 < OrdersTotal(); l_pos_4++) {
      if (OrderSelect(l_pos_4, SELECT_BY_POS, MODE_TRADES)) {
         if (OrderSymbol() == Symbol() && OrderMagicNumber() == MAGIC) {
            if (OrderType() == OP_BUY) {
               li_0 = TRUE;
               return;
            }
         }
      }
   }
   return (li_0);
}

void prtAlert(string as_0 = "") {
   Print(Symbol() + " - " + as_0);
   Alert(Symbol() + " - " + as_0);
}

double LotsOptimized() {
   double l_lots_0 = Lots;
   int l_hist_total_8 = HistoryTotal();
   int li_12 = 0;
   l_lots_0 = NormalizeDouble(AccountFreeMargin() * MaximumRisk / 1000.0, 1);
   if (Use_EAs_Management == TRUE) l_lots_0 = NormalizeDouble(AccountBalance() / Quantity_EAs * MaximumRisk / 1000.0, 1);
   if (DecreaseFactor > 0.0) {
      for (int li_16 = l_hist_total_8 - 1; li_16 >= 0; li_16--) {
         if (OrderSelect(li_16, SELECT_BY_POS, MODE_HISTORY) == FALSE) {
            Print("Error in history!");
            break;
         }
         if (OrderSymbol() != Symbol() || OrderType() > OP_SELL || OrderMagicNumber() != MAGIC) continue;
         if (OrderProfit() > 0.0) break;
         if (OrderProfit() < 0.0 && OrderMagicNumber() == MAGIC) li_12++;
      }
      if (li_12 > 1) l_lots_0 = NormalizeDouble(l_lots_0 - l_lots_0 * li_12 / DecreaseFactor, 1);
   }
   if (l_lots_0 < 0.1) l_lots_0 = 0.1;
   if (LotsOptimized == FALSE) l_lots_0 = Lots;
   if (gi_164 == TRUE) l_lots_0 /= 10.0;
   l_lots_0=AccountFreeMargin()/1000;
   if (l_lots_0 > MaxLots) l_lots_0 = MaxLots;
   return (l_lots_0);
}